### Virtual Method

# Ide SymbolTree get_nth_child

#### Declaration

    IdeSymbolNode*
    get_nth_child (
      IdeSymbolTree* self,
      IdeSymbolNode* node,
      guint nth
    )

#### Description

Gets the `nth` child node of `node`.

Available since: | 3.32

#### Parameters

`node` | `IdeSymbolNode`
| An `IdeSymboNode`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`nth` | `guint`
| The nth child to retrieve.

#### Return value

Returns: | `IdeSymbolNode`
| An `IdeSymbolNode` or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.